//******************************************************************************
// FILE:       	mspgcc.h
//              
// AUTHOR:     	CC Cox
//              
// PROJECT:    	SynchroChron
//              
// DESCRIPTION:	GNU MSPGCC compatibility definitions
//
// HISTORY:
//		$Log: mspgcc.h,v $
//		Revision 1.1  2006-01-26 16:32:55-05  chuck
//		Release candidate
//
//		Revision 1.0 2005-09-09 chuck
//		Initial revision
//
// Copyright (c) 2006 SynchroSystems Inc
// Use subject to terms of License Agreement at http://synchro.com/policies.html
//******************************************************************************

#ifndef __MSPGCC_H
#define __MSPGCC_H

//------------------------------------------------------------------------------
// include files
//------------------------------------------------------------------------------
#include <io.h>
#include <signal.h>

//------------------------------------------------------------------------------
// macros
//------------------------------------------------------------------------------
#define EINT()					eint()
#define assert(c)				((void)0)
#define ITOA(str, num, radix)	itoa((num), (str), (radix))

//------------------------------------------------------------------------------
// data types
//------------------------------------------------------------------------------
typedef int			PUTCHAR_ARG_TYPE;		// putchar() argument type

#endif	// __MSPGCC_H
